osgUtil::ReversePrimitiveFunctor Class Reference

`#include <ReversePrimitiveFunctor>`

Inheritance diagram for osgUtil::ReversePrimitiveFunctor:

## Public Member Functions

virtual | ~ReversePrimitiveFunctor ()
osg::PrimitiveSet * | getReversedPrimitiveSet ()
virtual void | setVertexArray (unsigned int, const osg::Vec2 *)
virtual void | setVertexArray (unsigned int, const osg::Vec3 *)
virtual void | setVertexArray (unsigned int, const osg::Vec4 *)
virtual void | setVertexArray (unsigned int, const osg::Vec2d *)
virtual void | setVertexArray (unsigned int, const osg::Vec3d *)
virtual void | setVertexArray (unsigned int, const osg::Vec4d *)
virtual void | drawArrays (GLenum mode, GLint first, GLsizei count)
virtual void | drawElements (GLenum mode, GLsizei count, const GLubyte *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLushort *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLuint *indices)
virtual void | begin (GLenum mode)
| Mimics the OpenGL `glBegin()` function.
virtual void | vertex (unsigned int)
virtual void | end ()
Public Member Functions inherited from osg::PrimitiveIndexFunctor
virtual | ~PrimitiveIndexFunctor ()

## Public Attributes

osg::ref_ptr< osg::PrimitiveSet > | _reversedPrimitiveSet

## Constructor & Destructor Documentation

## ~ReversePrimitiveFunctor()

virtual osgUtil::ReversePrimitiveFunctor::~ReversePrimitiveFunctor | ( |  | ) |

inline virtual

## Member Function Documentation

## begin()

virtual void osgUtil::ReversePrimitiveFunctor::begin | ( | GLenum | mode | ) |

virtual

Mimics the OpenGL `glBegin()` function.

## drawArrays()

virtual void osgUtil::ReversePrimitiveFunctor::drawArrays | ( | GLenum | mode,
|  | GLint | first,
|  | GLsizei | count )

virtual

Implements osg::PrimitiveIndexFunctor.

## drawElements() [1/3]

virtual void osgUtil::ReversePrimitiveFunctor::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLubyte * | indices )

virtual

Implements osg::PrimitiveIndexFunctor.

## drawElements() [2/3]

virtual void osgUtil::ReversePrimitiveFunctor::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLuint * | indices )

virtual

Implements osg::PrimitiveIndexFunctor.

## drawElements() [3/3]

virtual void osgUtil::ReversePrimitiveFunctor::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLushort * | indices )

virtual

Implements osg::PrimitiveIndexFunctor.

## end()

virtual void osgUtil::ReversePrimitiveFunctor::end | ( |  | ) |

virtual

## getReversedPrimitiveSet()

osg::PrimitiveSet * osgUtil::ReversePrimitiveFunctor::getReversedPrimitiveSet | ( |  | ) |

inline

References _reversedPrimitiveSet.

## setVertexArray() [1/6]

virtual void osgUtil::ReversePrimitiveFunctor::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec2 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [2/6]

virtual void osgUtil::ReversePrimitiveFunctor::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec2d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [3/6]

virtual void osgUtil::ReversePrimitiveFunctor::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec3 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [4/6]

virtual void osgUtil::ReversePrimitiveFunctor::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec3d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [5/6]

virtual void osgUtil::ReversePrimitiveFunctor::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec4 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [6/6]

virtual void osgUtil::ReversePrimitiveFunctor::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec4d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## vertex()

virtual void osgUtil::ReversePrimitiveFunctor::vertex | ( | unsigned int |  | ) |

virtual

## Member Data Documentation

## _reversedPrimitiveSet

osg::ref_ptr<osg::PrimitiveSet> osgUtil::ReversePrimitiveFunctor::_reversedPrimitiveSet

Referenced by getReversedPrimitiveSet().

The documentation for this class was generated from the following file:

- ReversePrimitiveFunctor